import Deployer from './Deployer';
import program from 'commander';
import { DAppInstance, InstanceParams, StartTestRPCParams, StartBankrollerParams } from './interfaces/IDApp';
export default class DApp extends Deployer implements DAppInstance {
    protected _params: InstanceParams;
    private _config;
    constructor(params: InstanceParams);
    start(options: program.Command): Promise<void>;
    stop(): Promise<void>;
    viewLogs(options: any): Promise<void>;
    startTestRPC(options: program.Command | StartTestRPCParams): Promise<void>;
    startBankrollerWithNetwork(options: program.Command | StartBankrollerParams): Promise<void>;
    private startLocalENV;
    private startDockerLocalENV;
}
