import program from 'commander';
import { DeployerInstance, InstanceParams, MigrationParams } from './interfaces/IDApp';
export default class Deployer implements DeployerInstance {
    protected _params: InstanceParams;
    private _transportProviderFactory;
    private _provider;
    private _pingService;
    constructor(params: InstanceParams);
    migrateContract(options: program.Command | MigrationParams): Promise<string>;
    uploadGameToBankroller(options: program.Command): Promise<void>;
    unloadGameInBankroller(options: program.Command): Promise<void>;
    deployGameToIPFS(): Promise<void>;
    publishGame(): Promise<void>;
    private _pingServiceConnect;
    private uploadGame;
    private unloadGame;
}
