"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const config = {
    commands: [
        { name: 'list', description: '       View available official templates', env: false },
        { name: 'create', description: '     Generate a new project from a template', env: false },
        { name: 'bankrollup', description: ' Start bankroller in target network', env: false },
        { name: 'testrpcup', description: '  Start ganache testrpc', env: false },
        { name: 'migrate', description: '    migrate contract to the network', env: false },
        { name: 'start', description: '      Up env for development dapp', env: false },
        { name: 'stop', description: '       Down env for development dapp', env: false },
        { name: 'logs', description: '       Output logs SDK with network', env: false },
    ],
    templates: [
        {
            name: 'DaoCasino/dc-sdk-example',
            descript: 'full frontend template with webpack, truffle, web3',
            doc: 'https://github.com/DaoCasino/dc-sdk-example'
        }
    ],
    networksName: ['local', 'ropsten', 'rinkeby', 'kovan', 'minenet'],
    bankrollerLocalPrivateKey: '0xae6ae8e5ccbfb04590405997ee2d52d2b330726137b875053c36d94e974d162f',
    isWin: /^win/.test(process.platform),
    ASCIIColor: /[\u001b\u009b][[()#;?]*(?:[0-9]{1,4}(?:;[0-9]{0,4})*)?[0-9A-ORZcf-nqry=><]/g,
    packageJSON: path_1.default.join(__dirname, '../../package.json'),
    projectsENV: path_1.default.join(process.cwd(), './node_modules/dc-webapi'),
    startOptions: path_1.default.join(__dirname, './startOptions.json'),
    defaultMnemonic: 'glass method front super auto hole know grace select prevent custom fancy'
};
exports.default = config;
//# sourceMappingURL=config.js.map